Loading...
Searching...
No Matches
juce::RangedAudioParameterAttributes< Derived, Value > Class Template Reference

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/juce_RangedAudioParameter.h

## Public Types

using | Category = AudioProcessorParameter::Category
using | StringFromValue = std::function<String (Value, int)>
using | ValueFromString = std::function<Value (const String&)>

## Public Member Functions

auto | withStringFromValueFunction (StringFromValue x) const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
auto | withValueFromStringFunction (ValueFromString x) const
| An optional lambda function that parses a string and converts it into a non-normalised value.
auto | withLabel (String x) const
| See AudioProcessorParameterWithIDAttributes::withLabel().
auto | withCategory (Category x) const
| See AudioProcessorParameterWithIDAttributes::withCategory().
auto | withMeta (bool x) const
| See AudioProcessorParameter::isMetaParameter().
auto | withAutomatable (bool x) const
| See AudioProcessorParameter::isAutomatable().
auto | withInverted (bool x) const
| See AudioProcessorParameter::isOrientationInverted().
const auto & | getStringFromValueFunction () const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
const auto & | getValueFromStringFunction () const
| An optional lambda function that parses a string and converts it into a non-normalised value.
const auto & | getAudioProcessorParameterWithIDAttributes () const
| Gets attributes that would also apply to an AudioProcessorParameterWithID.

## Member Typedef Documentation

## Category

template<typename Derived, typename Value>

using juce::RangedAudioParameterAttributes< Derived, Value >::Category = AudioProcessorParameter::Category

## StringFromValue

template<typename Derived, typename Value>

using juce::RangedAudioParameterAttributes< Derived, Value >::StringFromValue = std::function<String (Value, int)>

## ValueFromString

template<typename Derived, typename Value>

using juce::RangedAudioParameterAttributes< Derived, Value >::ValueFromString = std::function<Value (const String&)>

## Member Functions

## withStringFromValueFunction()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withStringFromValueFunction | ( | StringFromValue | x | ) | const

inline nodiscard

An optional lambda function that converts a non-normalised value to a string with a maximum length.

This may be used by hosts to display the parameter's value.

References juce::withMember(), and x.

## withValueFromStringFunction()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withValueFromStringFunction | ( | ValueFromString | x | ) | const

inline nodiscard

An optional lambda function that parses a string and converts it into a non-normalised value.

Some hosts use this to allow users to type in parameter values.

References juce::withMember(), and x.

## withLabel()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withLabel | ( | String | x | ) | const

inline nodiscard

See AudioProcessorParameterWithIDAttributes::withLabel().

References juce::withMember(), and x.

## withCategory()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withCategory | ( | Category | x | ) | const

inline nodiscard

See AudioProcessorParameterWithIDAttributes::withCategory().

References juce::withMember(), and x.

## withMeta()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withMeta | ( | bool | x | ) | const

inline nodiscard

See AudioProcessorParameter::isMetaParameter().

References juce::withMember(), and x.

## withAutomatable()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withAutomatable | ( | bool | x | ) | const

inline nodiscard

See AudioProcessorParameter::isAutomatable().

References juce::withMember(), and x.

## withInverted()

template<typename Derived, typename Value>

auto juce::RangedAudioParameterAttributes< Derived, Value >::withInverted | ( | bool | x | ) | const

inline nodiscard

See AudioProcessorParameter::isOrientationInverted().

References juce::withMember(), and x.

## getStringFromValueFunction()

template<typename Derived, typename Value>

const auto & juce::RangedAudioParameterAttributes< Derived, Value >::getStringFromValueFunction | ( |  | ) | const

inline nodiscard

An optional lambda function that converts a non-normalised value to a string with a maximum length.

This may be used by hosts to display the parameter's value.

## getValueFromStringFunction()

template<typename Derived, typename Value>

const auto & juce::RangedAudioParameterAttributes< Derived, Value >::getValueFromStringFunction | ( |  | ) | const

inline nodiscard

An optional lambda function that parses a string and converts it into a non-normalised value.

Some hosts use this to allow users to type in parameter values.

## getAudioProcessorParameterWithIDAttributes()

template<typename Derived, typename Value>

const auto & juce::RangedAudioParameterAttributes< Derived, Value >::getAudioProcessorParameterWithIDAttributes | ( |  | ) | const

inline nodiscard

Gets attributes that would also apply to an AudioProcessorParameterWithID.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited